Subject: Re: While(1) in kernel space

From: "Chris Friesen" <[email-masked]>
Date: Tue, 08 Jul 2008 08:44:37 -0600

Paolo Doz wrote:
> Hi folks,
> I'm developing a custom SPI driver (char device) on a MPC5200b, the 
> microcontroller linked as slave implements a protocol that must follow 
> strict timing constraints. I need to receive and send messages every 
> 6msec.

What are your timing requirements?  How much over/under 6ms can the 
protocol handle?

Kernel threads might work, but then you're at the mercy of the 
scheduler.  You'd probably be better off using a timer or softirq.

If the latency requirements are really strict, your best bet would 
probably be to use the -rt patches for the kernel.  That requires 
building a custom kernel though.

Chris